<div class="p-20">
	<div class="mb-20">

		<div class="breadcrumbs">
			<a class="breadcrumbs__item"
				routerLink="../"
				(click)="goToList()">
				<span> К списку пользователей</span>
			</a>
		</div>

		<div>
			<h3 fxFlex=""> Информация о пользователе </h3>

			<button mat-flat-button color="primary" (click)="resetPass()"> Сбросить пароль </button>

		</div>


	</div>

	<app-loader *ngIf="isLoad"></app-loader>


	<mat-card class="art-card"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<ng-container>
			<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px" fxLayoutGap.lt-md="">
				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Фамилия </mat-label>
					<input matInput [ngModel]="user?.surname" readonly="true">
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Имя </mat-label>
					<input matInput [ngModel]="user?.name" readonly="true">
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Фамилия </mat-label>
					<input matInput [ngModel]="user?.patronymic" readonly="true">
				</mat-form-field>

			</div>

			<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px" fxLayoutGap.lt-md="">
				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Логин </mat-label>
					<input matInput [ngModel]="user?.login" readonly="true">
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Роль </mat-label>
					<input matInput [ngModel]="user?.name_role" readonly="true">
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Статус </mat-label>
					<input matInput [ngModel]="user?.actual | yesNo: 'Активен' : 'Заблокирован' " readonly="true">
				</mat-form-field>

			</div>

			<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px" fxLayoutGap.lt-md="">
				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> email </mat-label>
					<input matInput [ngModel]="user?.email" readonly="true">
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Телефон </mat-label>
					<input matInput [ngModel]="user?.phone" readonly="true">
				</mat-form-field>

				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Дата регистрации </mat-label>
					<input matInput [ngModel]="user?.registration_date | date:'dd.MM.yyyy HH:mm' " readonly="true">
				</mat-form-field>

			</div>

		</ng-container>

	</mat-card>

	<ng-container *ngIf="user?.code_role != 'administrator' ">
		<div class="my-20">
			<h3 fxFlex=""> Привязанные организации </h3>

			<button mat-flat-button
				(click)="addOrg()"
				color="primary">
				Прикрепить организацию
			</button>

		</div>

		<form #orgForm="ngForm">

			<div class="art-card"
			[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
				<ng-container *ngIf="orgs">
					<table mat-table [dataSource]="orgs">

						<ng-container matColumnDef="title">
							<th mat-header-cell  *matHeaderCellDef > Организация </th>
							<td mat-cell *matCellDef="let row"> {{ row.short_title }}</td>
						</ng-container>


						<ng-container matColumnDef="ogrn">
							<th mat-header-cell *matHeaderCellDef> ОГРН </th>
							<td mat-cell *matCellDef="let row"> {{ row.ogrn }}</td>
						</ng-container>


						<ng-container matColumnDef="kpp">
							<th mat-header-cell *matHeaderCellDef> КПП </th>
							<td mat-cell *matCellDef="let row"> {{ row.kpp }}</td>
						</ng-container>

						<!-- role -->
						<ng-container matColumnDef="file" >
							<th mat-header-cell *matHeaderCellDef> Файл </th>
							<td mat-cell *matCellDef="let row">
								<div *ngIf="row.has_file; else notFiles">
									<button mat-flat-button (click)="openFile($event, row)">
										<mat-icon [svgIcon]="'download'"
											class="mr-8"></mat-icon>
										<span>{{row?.file}}</span>
									</button>
								</div>
								<ng-template #notFiles> - </ng-template>

							</td>
						</ng-container>

						<ng-container matColumnDef="actions">
							<th mat-header-cell *matHeaderCellDef >  </th>
							<td mat-cell *matCellDef="let row; let index = index">
								<button mat-icon-button
									matTooltip="Отвязать организацию"
									(click)="offLink($event, row.id, index)">
									<mat-icon svgIcon="link-variant-off"></mat-icon>
								</button>
							</td>
						</ng-container>

						<ng-container matColumnDef="selectOrg">
							<td mat-cell *matCellDef="let row"  [colSpan]="displayedColumns.length-2">
								<div>
									<mat-form-field fxFlex="" appearance="standard">
										<mat-select
											[(ngModel)]="addingData.id_organization"
											placeholder="Выберите организацию"
											name="id_org"
											required >
											<mat-option>
												<ngx-mat-select-search
													[(ngModel)]="searchSelect"
													[ngModelOptions]="{standalone: true}"
													[placeholderLabel]="'Поиск'"
													[noEntriesFoundLabel]="'Ничего не найдено'">
													<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
												</ngx-mat-select-search>
											</mat-option>

											<mat-option *ngFor="let item of organizationList | filter: searchSelect: 'short_title' " [value]="item.id">
												{{item.short_title}}
											</mat-option>


										</mat-select>
									</mat-form-field>
								</div>

							</td>
						</ng-container>

						<ng-container matColumnDef="selectFile">
							<td mat-cell *matCellDef="let row">
								<div>
									<app-file-upload  fxFlex=""
										name="file"
										[(ngModel)]="addingData.file"
										required="true">
									</app-file-upload>
								</div>

							</td>
						</ng-container>

						<ng-container matColumnDef="actionsSave">
							<td mat-cell *matCellDef="let row">
								<button mat-icon-button (click)="save()" [disabled]="orgForm.invalid">
									<mat-icon svgIcon="content-save-outline"></mat-icon>
								</button>
								<button mat-icon-button (click)="deleteForm()">
									<mat-icon svgIcon="cancel" matTooltip="Отменить добавление связи"></mat-icon>
								</button>

							</td>
						</ng-container>



						<ng-container matColumnDef="noRecord">
							<td mat-footer-cell *matFooterCellDef [colSpan]="displayedColumns.length" ><i>Пользователи не найдены</i></td>
						</ng-container>

						<!-- contents row -->
						<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
						<tr mat-row *matRowDef="let row; columns: displayedColumns; when: !isAddOrgLink"> </tr>
						<tr mat-row *matRowDef="let row; columns: addingColumns; when: isAddOrgLink" > </tr>
						<tr mat-footer-row *matFooterRowDef="['noRecord']" [hidden]="orgs.length > 0"></tr>


					</table>

				</ng-container>

		</div>
		</form>
	</ng-container>

</div>





